#include <stdio.h>
// 默认pos传值合法
void insert(char *s, char *t, int pos) {
    int lens = -1, lent = -1;
    while (s[++lens])
        ;
    while (t[++lent])
        ;
    // if (pos < 0 || pos > lens) return false; 判断传值，需修改函数返回值类型
    for (int i = lens + lent - 1; i >= pos + lent; i--)
        s[i] = s[i - lent]; // 将s的pos后内容后移
    for (int i = 0; i < lent; i++)
        s[pos + i] = t[i]; // 插入
    s[lens + lent] = '\0'; // 加入字符串结束标志
    return;
}

int main(void) {
    char a[10] = "abcd", b[10] = "ghijk";
    insert(a, b, 0);
    printf("%s", a);
    return 0;
}